## org.gnu.pango
Class AttrFontDesc

    java.lang.Object
      org.gnu.glib.Boxed
          org.gnu.pango.Attribute
              org.gnu.pango.AttrFontDesc

public class AttrFontDesc
extends Attribute

The AttrFontDesc object is used to store an attribute that sets all aspects of the font description at once.

Field Summary

Fields inherited from class org.gnu.glib.Boxed
`handle`

Constructor Summary
`AttrFontDesc()`

Method Summary
`protected static Handle` `getDesc(Handle obj)` BEGINNING OF GENERATED CODE
`FontDescription` `getDescription()` Returns the font description which is the value of this attribute

Methods inherited from class org.gnu.pango.Attribute
`getEndIndex, getEndIndex, getStartIndex, getStartIndex`

Methods inherited from class org.gnu.glib.Boxed
`equals, getHandle, hashCode, setHandle`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttrFontDesc

    public AttrFontDesc()

Method Detail

### getDescription

    public FontDescription getDescription()

  Returns the font description which is the value of this attribute

### getDesc

    protected static final Handle getDesc(Handle obj)

  BEGINNING OF GENERATED CODE